# $Revision: 1.54 $, $Date: 2010/12/05 11:19:37 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	BerkeleyDB
%define		pnam	BerkeleyDB
Summary:	BerkeleyDB - Perl extension for Berkeley DB version 2, 3 or 4
Summary(pl.UTF-8):	BerkeleyDB - rozszerzenie Perla do baz Berkeley DB w wersji 2, 3 lub 4
Name:		perl-BerkeleyDB
Version:	0.43
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/BerkeleyDB/PMQS/%{pnam}-%{version}.tar.gz
# Source0-md5:	3d0cf0651ed8cd3fc36e328d5924a1e9
URL:		http://search.cpan.org/dist/BerkeleyDB/
BuildRequires:	db-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This Perl module provides an interface to most of the functionality
available in Berkeley DB versions 2, 3 and 4. In general it is safe to
assume that the interface provided here to be identical to the
Berkeley DB interface. The main changes have been to make the Berkeley
DB API work in a Perl way. Note that if you are using Berkeley DB 2.x,
the new features available in Berkeley DB 3.x or DB 4.x are not
available via this module.

%description -l pl.UTF-8
Ten moduł Perla dostarcza interfejs do większości funkcjonalności
dostępnej w bazach danych Berkeley DB w wersji 2, 3 i 4. Można
przyjąć, że ten interfejs jest identyczny z interfejsem Berkeley DB.
Główne zmiany zostały poczynione po to, by API DB działało na sposób
perlowy. W przypadku używania Berkeley DB 2.x nowe możliwości dostępne
dopiero w DB 3.x lub DB 4.x nie będą dostępne poprzez ten moduł.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}" \
	CC="%{__cc}"

# one of tests relies on English locale
%{?with_tests:%{__make} test LC_ALL=C}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/BerkeleyDB.pod
rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/BerkeleyDB/.packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Changes Todo
%{perl_vendorarch}/BerkeleyDB
%{perl_vendorarch}/BerkeleyDB.pm
%dir %{perl_vendorarch}/auto/BerkeleyDB
%{perl_vendorarch}/auto/BerkeleyDB/*.bs
%{perl_vendorarch}/auto/BerkeleyDB/autosplit.ix
%attr(755,root,root) %{perl_vendorarch}/auto/BerkeleyDB/*.so
%{_mandir}/man3/BerkeleyDB.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-BerkeleyDB.spec,v $
Revision 1.54  2010/12/05 11:19:37  qboosh
- updated to 0.43

Revision 1.53  2010/11/12 23:38:14  pawelz
- release 5

Revision 1.52  2010/06/06 08:31:15  arekm
- release 2

Revision 1.51  2009/06/15 09:49:26  amateja
- updated to 0.39

Revision 1.50  2009/01/20 11:40:21  glen
- release 2

Revision 1.49  2008/06/12 20:55:46  arekm
- up to 0.34

Revision 1.48  2008-06-12 19:53:08  arekm
- rel 2

Revision 1.47  2008-03-02 16:43:54  radek
- version 0.33

Revision 1.46  2008-02-10 12:00:14  arekm
- rel 4

Revision 1.45  2007-10-16 14:23:47  baggins
- rel 3, db-4.6.21

Revision 1.44  2007/10/10 10:38:49  tommat
- rel 3 for rebuild with db 4.6.21, STBR

Revision 1.43  2007/09/02 19:54:55  tommat
- rel 2, for rebuild with db 4.6.19, STBR

Revision 1.42  2007/08/02 16:29:23  arekm
- up to 0.32

Revision 1.41  2007/08/02 09:45:57  arekm
- rel 2

Revision 1.40  2007/03/27 17:39:00  radek
- version 0.31

Revision 1.39  2007/02/13 07:16:52  glen
- tabs in preamble

Revision 1.38  2007/02/12 00:49:23  baggins
- converted to UTF-8

Revision 1.37  2006/12/22 19:13:58  arekm
- rel 2

Revision 1.36  2006/07/25 20:49:05  glen
- 0.29, generic URL

Revision 1.35  2006/06/10 09:11:06  radek
- release 1, STBR

Revision 1.34  2006/01/22 11:41:31  agaran
- up to 0.27, rel: 0.1

Revision 1.33  2004/11/03 21:01:01  paladine
- formatting

Revision 1.32  2004/11/01 18:48:26  adamg
- updated to 0.26

Revision 1.31  2004/06/05 18:10:31  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.30  2004/05/06 18:43:03  ankry
- fixed perl-devel BR

Revision 1.29  2004/04/17 15:07:40  ankry
- license/summary/description fixes

Revision 1.28  2003/12/08 20:54:50  migo
- up to 0.25

Revision 1.27  2003/11/01 01:46:59  qboosh
- updated to 0.24, new-style bcond

Revision 1.26  2003/09/21 21:48:00  adamg
- updated to 0.23

Revision 1.25  2003/09/09 10:24:27  ankry
- spaces -> tab

Revision 1.24  2003/08/18 08:08:29  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.23  2003/05/28 13:00:26  malekith
- massive attack: source-md5

Revision 1.22  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.21  2003/03/02 12:46:00  radek
- s/db3-devel/db-devel/

Revision 1.20  2003/03/01 18:04:45  radek
- should be ready for perl-5.8.0; release++

Revision 1.19  2003/02/25 00:36:48  radek
- use the __perl macro

Revision 1.18  2003/02/18 15:26:47  ankry
- massive attack: change CPAN URLs

Revision 1.17  2002/09/22 22:15:03  marcus
- disabling tests on ppc
- rel.3.

Revision 1.16  2002/09/18 20:58:35  ankry
- added tests on bcond; added autosplit.ix
- release 2

Revision 1.15  2002/09/08 11:02:32  radek
- version 0.20
- removed empty autosplit.ix

Revision 1.14  2002/08/14 19:58:01  qboosh
- pl description, release 6

Revision 1.13  2002/08/11 10:51:08  radek
- informative summary/description, release++, STBR

Revision 1.12  2002/07/27 21:25:08  ankry
- autosplit.ix, *.bs are back
- release 4

Revision 1.11  2002/07/18 23:54:16  ankry
- added manpage
- new %%doc
- removed autosplit.ix, *.pod
- release 3

Revision 1.10  2002/07/18 13:25:18  ankry
- translations, cleaning
- new %%doc
- added %%{perl_sitelib}/auto/News
- release 2

Revision 1.9  2002/07/18 08:59:55  kloczek
- updated to 0.19 and use new %%doc.

Revision 1.8  2002/05/11 14:28:05  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.7  2002/03/03 21:55:54  marcus
- rel.2.

Revision 1.6  2002/02/22 23:29:25  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/02/10 15:24:04  depesz
adapterized

Revision 1.4  2002/02/09 12:59:37  depesz
- unified source path

Revision 1.3  2002/01/18 02:14:11  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2002/01/12 15:54:45  kloczek
- cosmetics.

Revision 1.1  2002/01/11 20:28:07  misiek
- initial pld release
